SPA Users

SPA: Updates a User

Updates an existing user. Requires ROLE_ADMIN.

PATCH/api/spa/users/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

User identifier

Request Body

application/json
required

The updated User resource

{
  "id": 123,
  "email": "user@example.com",
  "roles": [
    "string"
  ],
  "adminNote": "string",
  "active": true,
  "lastLoginDate": "2024-08-23T00:00:00+00:00",
  "locale": "en",
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00"
}

Response

200application/json

User resource updated

id
integer
email
string<email>
roles
string | null[]
invalidRoleValues
string | null[]
adminNote
string | null
password
string
active
boolean

Available options: truefalse

Example: true

lastLoginDate
string<date-time> | null
previousLoginDate
string<date-time> | null
releaseNotesDate
string<date-time> | null
authCode
string | null
locale
string

Example: "en"

signature
string | null

Personal signature image (base64 encoded PNG, without data-URI prefix).

sharePointEmail
string | null

Microsoft 365 account email used for SharePoint document editing when it differs from the application login email.

client
object
subClient
object
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

userIdentifier
string

A visual identifier that represents this user.

emailAuthEnabled
boolean

Available options: truefalse

emailAuthRecipient
string
emailAuthCode
string
subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"